
default:
  config:
    internal:
    app: {}

    lookups:
      template_engine:
        - python              # Default
        - jinja2              # Have a perf impact
      default_lookup:
        engine: file

    rules:
      match_mode:             
        - exact               # Default
        - startswith
        - endswith
        - regex               # Have a perf impact
      default_rule:
        continue: False

  lookups: []
  rules:
    - key: profiles
      continue: True
      strategy: smart
      filters:
        - schema_validate
        - template:
            source: "templates/httpd_config.conf.j2"
            engine: jinja2

